## Apache Zeta Components Manual :: Docs For Class ezcSearchDocumentDefinition

### Search::ezcSearchDocumentDefinition

### Class ezcSearchDocumentDefinition

The struct contains a document definition.

Source for this file: /Search/src/document_definition.php

Version: | //autogentag//

### Constants

`BOOLEAN = 7` | Type for boolean fields.
`DATE = 4` | Type for date fields.
`FLOAT = 6` | Type for floating point fields.
`HTML = 3` | Type for HTML fields.
`INT = 5` | Type for integer fields.
`STRING = 1` | Type for string fields.
`TEXT = 2` | Type for text fields.

### Member Variables

public string | `$defaultField = null` Contains the field name of the default search field.
public string | `$documentType` Contains the document type - which is the same as the class name.
public array(string=>ezcSearchDefinitionDocumentField) | `$fields = array()` Contains an array of field definitions The array key also contains the name of the field
public string | `$idProperty = null` Contains the id property. This one is required.

### Method Summary

public ezcSearchDocumentDefinition | `__construct( $documentType )` Creates a new ezcSearchDocumentDefinition for document type $documentType.
public array(string) | `getFieldNames( )` Returns a list with all the field names
public array(string) | `getHighlightFieldNames( )` Returns all the field names that should appear in the highlighted fields
public array(string) | `getSelectFieldNames( )` Returns all the field names that should appear in the search result

### Methods

#### __construct

ezcSearchDocumentDefinition __construct( string $documentType )

Creates a new ezcSearchDocumentDefinition for document type $documentType.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$documentType` | string |

#### getFieldNames

array(string) getFieldNames( )

Returns a list with all the field names

#### getHighlightFieldNames

array(string) getHighlightFieldNames( )

Returns all the field names that should appear in the highlighted fields

#### getSelectFieldNames

array(string) getSelectFieldNames( )

Returns all the field names that should appear in the search result

Documentation generated by phpDocumentor 1.4.3